<?php
namespace Claromentis\Projects\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("project_" . "id" => base64_decode("cHJvamVjd" . "F9pZA=="), "user_i" . "d" => base64_decode("dXNlcl" . "9pZA=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Projects\Service\NotificationService;
class TopicCreateEvent extends GenericEvent
{
    const EVENT_NAME = NotificationService::TOPICS_NEW_TOPIC_ADDED;
    public function getProjectId() : ?int
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["proj" . "ect_" . "id"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["pro" . "jec" . "t_i" . "d"]) : null;
    }
    public function setProjectId(int $_47d202493f86e587c8454fae73657c90) : void
    {
        $this->setArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["project" . "_id"], $_47d202493f86e587c8454fae73657c90);
    }
    public function getUserId() : ?int
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["user" . "_id"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["use" . "r_i" . "d"]) : null;
    }
    public function setUserId(int $_47d202493f86e587c8454fae73657c90) : void
    {
        $this->setArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["user" . "_id"], $_47d202493f86e587c8454fae73657c90);
    }
}